>From a783e830e7039fddb6942bc024c5bb4184a9a44a Mon Sep 17 00:00:00 2001
From: Ade Lee <alee@redhat.com>
Date: Fri, 6 Jun 2014 21:46:04 +0800
Subject: [PATCH 219/222] Modify master_dict to mdict to improve readability

Most of the install python scripts do not meet PEP8 including
being less than 80 chars.  Changing master_dict to mdict helps
fix this and improves or at least does not degrade readability.
---
 .../python/pki/server/deployment/pkihelper.py      | 722 +++++++++----------
 .../python/pki/server/deployment/pkiparser.py      | 782 ++++++++++-----------
 .../server/deployment/scriptlets/configuration.py  |  85 +--
 .../server/deployment/scriptlets/finalization.py   |  48 +-
 .../deployment/scriptlets/infrastructure_layout.py |  50 +-
 .../server/deployment/scriptlets/initialization.py |  28 +-
 .../deployment/scriptlets/instance_layout.py       | 248 +++----
 .../deployment/scriptlets/security_databases.py    |  96 +--
 .../server/deployment/scriptlets/selinux_setup.py  |  62 +-
 .../deployment/scriptlets/slot_substitution.py     |  72 +-
 .../deployment/scriptlets/subsystem_layout.py      | 120 ++--
 .../deployment/scriptlets/webapp_deployment.py     |  90 +--
 base/server/sbin/pkidestroy                        |  10 +-
 base/server/sbin/pkispawn                          |  72 +-
 14 files changed, 1245 insertions(+), 1240 deletions(-)

diff --git a/base/server/python/pki/server/deployment/pkihelper.py b/base/server/python/pki/server/deployment/pkihelper.py
index 3c0032ff50ea02d8c4b1756cf019f0ee3fab1690..e33d43f524283465618cdffc7fbc41a2753dcf1c 100644
--- a/base/server/python/pki/server/deployment/pkihelper.py
+++ b/base/server/python/pki/server/deployment/pkihelper.py
@@ -130,7 +130,7 @@ class Identity:
     """PKI Deployment Identity Class"""
 
     def __init__(self, deployer):
-        self.master_dict = deployer.master_dict
+        self.mdict = deployer.mdict
 
     def __add_gid(self, pki_group):
         pki_gid = None
@@ -254,7 +254,7 @@ class Identity:
 
     def get_uid(self, critical_failure=True):
         try:
-            pki_uid = self.master_dict['pki_uid']
+            pki_uid = self.mdict['pki_uid']
         except KeyError as exc:
             config.pki_log.error(log.PKI_KEYERROR_1, exc,
                                  extra=config.PKI_INDENTATION_LEVEL_2)
@@ -264,7 +264,7 @@ class Identity:
 
     def get_gid(self, critical_failure=True):
         try:
-            pki_gid = self.master_dict['pki_gid']
+            pki_gid = self.mdict['pki_gid']
         except KeyError as exc:
             config.pki_log.error(log.PKI_KEYERROR_1, exc,
                                  extra=config.PKI_INDENTATION_LEVEL_2)
@@ -278,7 +278,7 @@ class Identity:
                                  extra=config.PKI_INDENTATION_LEVEL_2)
             # id -u <name>
             pki_uid = getpwnam(name)[2]
-            self.master_dict['pki_uid'] = pki_uid
+            self.mdict['pki_uid'] = pki_uid
             config.pki_log.debug(log.PKIHELPER_UID_2, name, pki_uid,
                                  extra=config.PKI_INDENTATION_LEVEL_3)
         except KeyError as exc:
@@ -294,7 +294,7 @@ class Identity:
                                  extra=config.PKI_INDENTATION_LEVEL_2)
             # id -g <name>
             pki_gid = getgrnam(name)[2]
-            self.master_dict['pki_gid'] = pki_gid
+            self.mdict['pki_gid'] = pki_gid
             config.pki_log.debug(log.PKIHELPER_GID_2, name, pki_gid,
                                  extra=config.PKI_INDENTATION_LEVEL_3)
         except KeyError as exc:
@@ -310,155 +310,155 @@ class Namespace:
     # Silently verify that the selected 'pki_instance_name' will
     # NOT produce any namespace collisions
     def __init__(self, deployer):
-        self.master_dict = deployer.master_dict
+        self.mdict = deployer.mdict
 
     def collision_detection(self):
         # Run simple checks for pre-existing namespace collisions
-        if os.path.exists(self.master_dict['pki_instance_path']):
-            if os.path.exists(self.master_dict['pki_subsystem_path']):
+        if os.path.exists(self.mdict['pki_instance_path']):
+            if os.path.exists(self.mdict['pki_subsystem_path']):
                 # Top-Level PKI base path collision
                 config.pki_log.error(
                     log.PKIHELPER_NAMESPACE_COLLISION_2,
-                    self.master_dict['pki_instance_name'],
-                    self.master_dict['pki_instance_path'],
+                    self.mdict['pki_instance_name'],
+                    self.mdict['pki_instance_path'],
                     extra=config.PKI_INDENTATION_LEVEL_2)
-                raise Exception(log.PKIHELPER_NAMESPACE_COLLISION_2 % (self.master_dict['pki_instance_name'],
-                                                                       self.master_dict['pki_instance_path']))
+                raise Exception(log.PKIHELPER_NAMESPACE_COLLISION_2 % (self.mdict['pki_instance_name'],
+                                                                       self.mdict['pki_instance_path']))
         else:
-            if os.path.exists(self.master_dict['pki_target_tomcat_conf_instance_id']):
+            if os.path.exists(self.mdict['pki_target_tomcat_conf_instance_id']):
                 # Top-Level "/etc/sysconfig" path collision
                 config.pki_log.error(
                     log.PKIHELPER_NAMESPACE_COLLISION_2,
-                    self.master_dict['pki_instance_name'],
-                    self.master_dict['pki_target_tomcat_conf_instance_id'],
+                    self.mdict['pki_instance_name'],
+                    self.mdict['pki_target_tomcat_conf_instance_id'],
                     extra=config.PKI_INDENTATION_LEVEL_2)
-                raise Exception(log.PKIHELPER_NAMESPACE_COLLISION_2 % (self.master_dict['pki_instance_name'],
-                                                                       self.master_dict['pki_target_tomcat_conf_instance_id']))
-            if os.path.exists(self.master_dict['pki_cgroup_systemd_service']):
+                raise Exception(log.PKIHELPER_NAMESPACE_COLLISION_2 % (self.mdict['pki_instance_name'],
+                                                                       self.mdict['pki_target_tomcat_conf_instance_id']))
+            if os.path.exists(self.mdict['pki_cgroup_systemd_service']):
                 # Systemd cgroup path collision
                 config.pki_log.error(
                     log.PKIHELPER_NAMESPACE_COLLISION_2,
-                    self.master_dict['pki_instance_name'],
-                    self.master_dict['pki_cgroup_systemd_service_path'],
+                    self.mdict['pki_instance_name'],
+                    self.mdict['pki_cgroup_systemd_service_path'],
                     extra=config.PKI_INDENTATION_LEVEL_2)
-                raise Exception(log.PKIHELPER_NAMESPACE_COLLISION_2 % (self.master_dict['pki_instance_name'],
-                                                                       self.master_dict['pki_cgroup_systemd_service_path']))
-            if os.path.exists(self.master_dict['pki_cgroup_cpu_systemd_service']):
+                raise Exception(log.PKIHELPER_NAMESPACE_COLLISION_2 % (self.mdict['pki_instance_name'],
+                                                                       self.mdict['pki_cgroup_systemd_service_path']))
+            if os.path.exists(self.mdict['pki_cgroup_cpu_systemd_service']):
                 # Systemd cgroup CPU path collision
                 config.pki_log.error(
                     log.PKIHELPER_NAMESPACE_COLLISION_2,
-                    self.master_dict['pki_instance_name'],
-                    self.master_dict['pki_cgroup_cpu_systemd_service_path'],
+                    self.mdict['pki_instance_name'],
+                    self.mdict['pki_cgroup_cpu_systemd_service_path'],
                     extra=config.PKI_INDENTATION_LEVEL_2)
-                raise Exception(log.PKIHELPER_NAMESPACE_COLLISION_2 % (self.master_dict['pki_instance_name'],
-                                                                       self.master_dict['pki_cgroup_cpu_systemd_service_path']))
-        if os.path.exists(self.master_dict['pki_instance_log_path']) and\
-           os.path.exists(self.master_dict['pki_subsystem_log_path']):
+                raise Exception(log.PKIHELPER_NAMESPACE_COLLISION_2 % (self.mdict['pki_instance_name'],
+                                                                       self.mdict['pki_cgroup_cpu_systemd_service_path']))
+        if os.path.exists(self.mdict['pki_instance_log_path']) and\
+           os.path.exists(self.mdict['pki_subsystem_log_path']):
             # Top-Level PKI log path collision
             config.pki_log.error(
                 log.PKIHELPER_NAMESPACE_COLLISION_2,
-                self.master_dict['pki_instance_name'],
-                self.master_dict['pki_instance_log_path'],
+                self.mdict['pki_instance_name'],
+                self.mdict['pki_instance_log_path'],
                 extra=config.PKI_INDENTATION_LEVEL_2)
-            raise Exception(log.PKIHELPER_NAMESPACE_COLLISION_2 % (self.master_dict['pki_instance_name'],
-                                                                  self.master_dict['pki_instance_log_path']))
-        if os.path.exists(self.master_dict['pki_instance_configuration_path']) and\
-           os.path.exists(self.master_dict['pki_subsystem_configuration_path']):
+            raise Exception(log.PKIHELPER_NAMESPACE_COLLISION_2 % (self.mdict['pki_instance_name'],
+                                                                  self.mdict['pki_instance_log_path']))
+        if os.path.exists(self.mdict['pki_instance_configuration_path']) and\
+           os.path.exists(self.mdict['pki_subsystem_configuration_path']):
             # Top-Level PKI configuration path collision
             config.pki_log.error(
                 log.PKIHELPER_NAMESPACE_COLLISION_2,
-                self.master_dict['pki_instance_name'],
-                self.master_dict['pki_instance_configuration_path'],
+                self.mdict['pki_instance_name'],
+                self.mdict['pki_instance_configuration_path'],
                 extra=config.PKI_INDENTATION_LEVEL_2)
-            raise Exception(log.PKIHELPER_NAMESPACE_COLLISION_2 % (self.master_dict['pki_instance_name'],
-                                                                  self.master_dict['pki_instance_configuration_path']))
-        if os.path.exists(self.master_dict['pki_instance_registry_path']) and\
-           os.path.exists(self.master_dict['pki_subsystem_registry_path']):
+            raise Exception(log.PKIHELPER_NAMESPACE_COLLISION_2 % (self.mdict['pki_instance_name'],
+                                                                  self.mdict['pki_instance_configuration_path']))
+        if os.path.exists(self.mdict['pki_instance_registry_path']) and\
+           os.path.exists(self.mdict['pki_subsystem_registry_path']):
             # Top-Level PKI registry path collision
             config.pki_log.error(
                 log.PKIHELPER_NAMESPACE_COLLISION_2,
-                self.master_dict['pki_instance_name'],
-                self.master_dict['pki_instance_registry_path'],
+                self.mdict['pki_instance_name'],
+                self.mdict['pki_instance_registry_path'],
                 extra=config.PKI_INDENTATION_LEVEL_2)
-            raise Exception(log.PKIHELPER_NAMESPACE_COLLISION_2 % (self.master_dict['pki_instance_name'],
-                                                                  self.master_dict['pki_instance_registry_path']))
+            raise Exception(log.PKIHELPER_NAMESPACE_COLLISION_2 % (self.mdict['pki_instance_name'],
+                                                                  self.mdict['pki_instance_registry_path']))
         # Run simple checks for reserved name namespace collisions
-        if self.master_dict['pki_instance_name'] in config.PKI_BASE_RESERVED_NAMES:
+        if self.mdict['pki_instance_name'] in config.PKI_BASE_RESERVED_NAMES:
             # Top-Level PKI base path reserved name collision
             config.pki_log.error(
                 log.PKIHELPER_NAMESPACE_RESERVED_NAME_2,
-                self.master_dict['pki_instance_name'],
-                self.master_dict['pki_instance_path'],
+                self.mdict['pki_instance_name'],
+                self.mdict['pki_instance_path'],
                 extra=config.PKI_INDENTATION_LEVEL_2)
-            raise Exception(log.PKIHELPER_NAMESPACE_RESERVED_NAME_2 % (self.master_dict['pki_instance_name'],
-                                                                      self.master_dict['pki_instance_path']))
+            raise Exception(log.PKIHELPER_NAMESPACE_RESERVED_NAME_2 % (self.mdict['pki_instance_name'],
+                                                                      self.mdict['pki_instance_path']))
         # No need to check for reserved name under Top-Level PKI log path
-        if self.master_dict['pki_instance_name'] in config.PKI_CONFIGURATION_RESERVED_NAMES:
+        if self.mdict['pki_instance_name'] in config.PKI_CONFIGURATION_RESERVED_NAMES:
             # Top-Level PKI configuration path reserved name collision
             config.pki_log.error(
                 log.PKIHELPER_NAMESPACE_RESERVED_NAME_2,
-                self.master_dict['pki_instance_name'],
-                self.master_dict['pki_instance_configuration_path'],
+                self.mdict['pki_instance_name'],
+                self.mdict['pki_instance_configuration_path'],
                 extra=config.PKI_INDENTATION_LEVEL_2)
-            raise Exception(log.PKIHELPER_NAMESPACE_RESERVED_NAME_2 % (self.master_dict['pki_instance_name'],
-                                                                      self.master_dict['pki_instance_configuration_path']))
-        if self.master_dict['pki_subsystem'] in config.PKI_APACHE_SUBSYSTEMS:
+            raise Exception(log.PKIHELPER_NAMESPACE_RESERVED_NAME_2 % (self.mdict['pki_instance_name'],
+                                                                      self.mdict['pki_instance_configuration_path']))
+        if self.mdict['pki_subsystem'] in config.PKI_APACHE_SUBSYSTEMS:
             # Top-Level Apache PKI registry path reserved name collision
-            if self.master_dict['pki_instance_name'] in\
+            if self.mdict['pki_instance_name'] in\
                config.PKI_APACHE_REGISTRY_RESERVED_NAMES:
                 config.pki_log.error(
                     log.PKIHELPER_NAMESPACE_RESERVED_NAME_2,
-                    self.master_dict['pki_instance_name'],
-                    self.master_dict['pki_instance_registry_path'],
+                    self.mdict['pki_instance_name'],
+                    self.mdict['pki_instance_registry_path'],
                     extra=config.PKI_INDENTATION_LEVEL_2)
-                raise Exception(log.PKIHELPER_NAMESPACE_RESERVED_NAME_2 % (self.master_dict['pki_instance_name'],
-                                                                          self.master_dict['pki_instance_registry_path']))
-        elif self.master_dict['pki_subsystem'] in config.PKI_TOMCAT_SUBSYSTEMS:
+                raise Exception(log.PKIHELPER_NAMESPACE_RESERVED_NAME_2 % (self.mdict['pki_instance_name'],
+                                                                          self.mdict['pki_instance_registry_path']))
+        elif self.mdict['pki_subsystem'] in config.PKI_TOMCAT_SUBSYSTEMS:
             # Top-Level Tomcat PKI registry path reserved name collision
-            if self.master_dict['pki_instance_name'] in\
+            if self.mdict['pki_instance_name'] in\
                config.PKI_TOMCAT_REGISTRY_RESERVED_NAMES:
                 config.pki_log.error(
                     log.PKIHELPER_NAMESPACE_RESERVED_NAME_2,
-                    self.master_dict['pki_instance_name'],
-                    self.master_dict['pki_instance_registry_path'],
+                    self.mdict['pki_instance_name'],
+                    self.mdict['pki_instance_registry_path'],
                     extra=config.PKI_INDENTATION_LEVEL_2)
-                raise Exception(log.PKIHELPER_NAMESPACE_RESERVED_NAME_2 % (self.master_dict['pki_instance_name'],
-                                                                          self.master_dict['pki_instance_registry_path']))
+                raise Exception(log.PKIHELPER_NAMESPACE_RESERVED_NAME_2 % (self.mdict['pki_instance_name'],
+                                                                          self.mdict['pki_instance_registry_path']))
 
 class ConfigurationFile:
     """PKI Deployment Configuration File Class"""
 
     def __init__(self, deployer):
-        self.master_dict = deployer.master_dict
+        self.mdict = deployer.mdict
         # set useful 'boolean' object variables for this class
-        self.clone = config.str2bool(self.master_dict['pki_clone'])
-        self.external = config.str2bool(self.master_dict['pki_external'])
+        self.clone = config.str2bool(self.mdict['pki_clone'])
+        self.external = config.str2bool(self.mdict['pki_external'])
         self.external_step_two = config.str2bool(
-                                     self.master_dict['pki_external_step_two'])
+                                     self.mdict['pki_external_step_two'])
         self.skip_configuration = config.str2bool(
-                                    self.master_dict['pki_skip_configuration'])
-        self.standalone = config.str2bool(self.master_dict['pki_standalone'])
-        self.subordinate = config.str2bool(self.master_dict['pki_subordinate'])
+                                    self.mdict['pki_skip_configuration'])
+        self.standalone = config.str2bool(self.mdict['pki_standalone'])
+        self.subordinate = config.str2bool(self.mdict['pki_subordinate'])
         # set useful 'string' object variables for this class
-        self.subsystem = self.master_dict['pki_subsystem']
+        self.subsystem = self.mdict['pki_subsystem']
 
     def log_configuration_url(self):
         # NOTE:  This is the one and only parameter containing a sensitive
         #        parameter that may be stored in a log file.
         config.pki_log.info(log.PKI_CONFIGURATION_WIZARD_URL_1,
-                            self.master_dict['pki_configuration_url'],
+                            self.mdict['pki_configuration_url'],
                             extra=config.PKI_INDENTATION_LEVEL_2)
         config.pki_log.info(log.PKI_CONFIGURATION_WIZARD_RESTART_1,
-                            self.master_dict['pki_registry_initscript_command'],
+                            self.mdict['pki_registry_initscript_command'],
                             extra=config.PKI_INDENTATION_LEVEL_2)
 
     def display_configuration_url(self):
         # NOTE:  This is the one and only parameter containing a sensitive
         #        parameter that may be displayed to the screen.
-        print log.PKI_CONFIGURATION_URL_1 % self.master_dict['pki_configuration_url']
+        print log.PKI_CONFIGURATION_URL_1 % self.mdict['pki_configuration_url']
         print
         print log.PKI_CONFIGURATION_RESTART_1 % \
-              self.master_dict['pki_registry_initscript_command']
+              self.mdict['pki_registry_initscript_command']
         print
 
     def confirm_external(self):
@@ -511,29 +511,29 @@ class ConfigurationFile:
                                 self.subsystem)
 
     def confirm_data_exists(self, param):
-        if not self.master_dict.has_key(param) or\
-           not len(self.master_dict[param]):
+        if not self.mdict.has_key(param) or\
+           not len(self.mdict[param]):
             config.pki_log.error(
                 log.PKIHELPER_UNDEFINED_CONFIGURATION_FILE_ENTRY_2,
                 param,
-                self.master_dict['pki_user_deployment_cfg'],
+                self.mdict['pki_user_deployment_cfg'],
                 extra=config.PKI_INDENTATION_LEVEL_2)
             raise Exception(
                     log.PKIHELPER_UNDEFINED_CONFIGURATION_FILE_ENTRY_2 %
-                    (param, self.master_dict['pki_user_deployment_cfg']))
+                    (param, self.mdict['pki_user_deployment_cfg']))
 
     def confirm_missing_file(self, param):
-        if os.path.exists(self.master_dict[param]):
+        if os.path.exists(self.mdict[param]):
             config.pki_log.error(log.PKI_FILE_ALREADY_EXISTS_1,
-                                 self.master_dict[param],
+                                 self.mdict[param],
                                  extra=config.PKI_INDENTATION_LEVEL_2)
             raise Exception(log.PKI_FILE_ALREADY_EXISTS_1 % param)
 
     def confirm_file_exists(self, param):
-        if not os.path.exists(self.master_dict[param]) or\
-           not os.path.isfile(self.master_dict[param]):
+        if not os.path.exists(self.mdict[param]) or\
+           not os.path.isfile(self.mdict[param]):
             config.pki_log.error(log.PKI_FILE_MISSING_OR_NOT_A_FILE_1,
-                                 self.master_dict[param],
+                                 self.mdict[param],
                                  extra=config.PKI_INDENTATION_LEVEL_2)
             raise Exception(log.PKI_FILE_MISSING_OR_NOT_A_FILE_1 % param)
 
@@ -548,7 +548,7 @@ class ConfigurationFile:
             if not self.clone:
                 self.confirm_data_exists("pki_admin_password")
             # If required, verify existence of Backup Password
-            if config.str2bool(self.master_dict['pki_backup_keys']):
+            if config.str2bool(self.mdict['pki_backup_keys']):
                 self.confirm_data_exists("pki_backup_password")
             # Verify existence of Client Pin for NSS client security databases
             self.confirm_data_exists("pki_client_database_password")
@@ -570,7 +570,7 @@ class ConfigurationFile:
                 if not self.skip_configuration and not self.standalone:
                     self.confirm_data_exists("pki_security_domain_password")
             # If required, verify existence of Token Password
-            if not self.master_dict['pki_token_name'] == "internal":
+            if not self.mdict['pki_token_name'] == "internal":
                 self.confirm_data_exists("pki_token_password")
         return
 
@@ -581,36 +581,36 @@ class ConfigurationFile:
                 if self.clone and self.external and self.subordinate:
                     config.pki_log.error(
                         log.PKIHELPER_MUTUALLY_EXCLUSIVE_CLONE_EXTERNAL_SUB_CA,
-                        self.master_dict['pki_user_deployment_cfg'],
+                        self.mdict['pki_user_deployment_cfg'],
                         extra=config.PKI_INDENTATION_LEVEL_2)
-                    raise Exception(log.PKIHELPER_MUTUALLY_EXCLUSIVE_CLONE_EXTERNAL_SUB_CA % self.master_dict['pki_user_deployment_cfg'])
+                    raise Exception(log.PKIHELPER_MUTUALLY_EXCLUSIVE_CLONE_EXTERNAL_SUB_CA % self.mdict['pki_user_deployment_cfg'])
                 elif self.clone and self.external:
                     config.pki_log.error(
                         log.PKIHELPER_MUTUALLY_EXCLUSIVE_CLONE_EXTERNAL_CA,
-                        self.master_dict['pki_user_deployment_cfg'],
+                        self.mdict['pki_user_deployment_cfg'],
                         extra=config.PKI_INDENTATION_LEVEL_2)
-                    raise Exception(log.PKIHELPER_MUTUALLY_EXCLUSIVE_CLONE_EXTERNAL_CA % self.master_dict['pki_user_deployment_cfg'])
+                    raise Exception(log.PKIHELPER_MUTUALLY_EXCLUSIVE_CLONE_EXTERNAL_CA % self.mdict['pki_user_deployment_cfg'])
                 elif self.clone and self.subordinate:
                     config.pki_log.error(
                         log.PKIHELPER_MUTUALLY_EXCLUSIVE_CLONE_SUB_CA,
-                        self.master_dict['pki_user_deployment_cfg'],
+                        self.mdict['pki_user_deployment_cfg'],
                         extra=config.PKI_INDENTATION_LEVEL_2)
-                    raise Exception(log.PKIHELPER_MUTUALLY_EXCLUSIVE_CLONE_SUB_CA % self.master_dict['pki_user_deployment_cfg'])
+                    raise Exception(log.PKIHELPER_MUTUALLY_EXCLUSIVE_CLONE_SUB_CA % self.mdict['pki_user_deployment_cfg'])
                 elif self.external and self.subordinate:
                     config.pki_log.error(
                         log.PKIHELPER_MUTUALLY_EXCLUSIVE_EXTERNAL_SUB_CA,
-                        self.master_dict['pki_user_deployment_cfg'],
+                        self.mdict['pki_user_deployment_cfg'],
                         extra=config.PKI_INDENTATION_LEVEL_2)
-                    raise Exception(log.PKIHELPER_MUTUALLY_EXCLUSIVE_EXTERNAL_SUB_CA % self.master_dict['pki_user_deployment_cfg'])
+                    raise Exception(log.PKIHELPER_MUTUALLY_EXCLUSIVE_EXTERNAL_SUB_CA % self.mdict['pki_user_deployment_cfg'])
             elif self.standalone:
                 if self.clone:
                     config.pki_log.error(
                         log.PKIHELPER_MUTUALLY_EXCLUSIVE_CLONE_STANDALONE_PKI,
-                        self.master_dict['pki_user_deployment_cfg'],
+                        self.mdict['pki_user_deployment_cfg'],
                         extra=config.PKI_INDENTATION_LEVEL_2)
                     raise Exception(
                         log.PKIHELPER_MUTUALLY_EXCLUSIVE_CLONE_STANDALONE_PKI %
-                        self.master_dict['pki_user_deployment_cfg'])
+                        self.mdict['pki_user_deployment_cfg'])
 
     def verify_predefined_configuration_file_data(self):
         # Silently verify the existence of any required 'predefined' data
@@ -725,18 +725,18 @@ class ConfigurationFile:
         return
 
     def populate_non_default_ports(self):
-        if (self.master_dict['pki_http_port'] !=
+        if (self.mdict['pki_http_port'] !=
             str(config.PKI_DEPLOYMENT_DEFAULT_TOMCAT_HTTP_PORT)):
-            ports.append(self.master_dict['pki_http_port'])
-        if (self.master_dict['pki_https_port'] !=
+            ports.append(self.mdict['pki_http_port'])
+        if (self.mdict['pki_https_port'] !=
             str(config.PKI_DEPLOYMENT_DEFAULT_TOMCAT_HTTPS_PORT)):
-            ports.append(self.master_dict['pki_https_port'])
-        if (self.master_dict['pki_tomcat_server_port'] !=
+            ports.append(self.mdict['pki_https_port'])
+        if (self.mdict['pki_tomcat_server_port'] !=
             str(config.PKI_DEPLOYMENT_DEFAULT_TOMCAT_SERVER_PORT)):
-            ports.append(self.master_dict['pki_tomcat_server_port'])
-        if (self.master_dict['pki_ajp_port'] !=
+            ports.append(self.mdict['pki_tomcat_server_port'])
+        if (self.mdict['pki_ajp_port'] !=
             str(config.PKI_DEPLOYMENT_DEFAULT_TOMCAT_AJP_PORT)):
-            ports.append(self.master_dict['pki_ajp_port'])
+            ports.append(self.mdict['pki_ajp_port'])
         return
 
     def verify_selinux_ports(self):
@@ -782,16 +782,16 @@ class ConfigurationFile:
     def verify_command_matches_configuration_file(self):
         # Silently verify that the command-line parameters match the values
         # that are present in the corresponding configuration file
-        if self.master_dict['pki_deployment_executable'] == 'pkidestroy':
-            if self.master_dict['pki_deployed_instance_name'] != \
-               self.master_dict['pki_instance_name']:
+        if self.mdict['pki_deployment_executable'] == 'pkidestroy':
+            if self.mdict['pki_deployed_instance_name'] != \
+               self.mdict['pki_instance_name']:
                 config.pki_log.error(
                     log.PKIHELPER_COMMAND_LINE_PARAMETER_MISMATCH_2,
-                    self.master_dict['pki_deployed_instance_name'],
-                    self.master_dict['pki_instance_name'],
+                    self.mdict['pki_deployed_instance_name'],
+                    self.mdict['pki_instance_name'],
                     extra=config.PKI_INDENTATION_LEVEL_2)
-                raise Exception(log.PKIHELPER_UNDEFINED_CONFIGURATION_FILE_ENTRY_2 % (self.master_dict['pki_deployed_instance_name'],
-                                                                                      self.master_dict['pki_instance_name']))
+                raise Exception(log.PKIHELPER_UNDEFINED_CONFIGURATION_FILE_ENTRY_2 % (self.mdict['pki_deployed_instance_name'],
+                                                                                      self.mdict['pki_instance_name']))
         return
 
 # PKI Deployment XML File Class
@@ -800,7 +800,7 @@ class ConfigurationFile:
 #                                           web_xml_source,
 #                                           web_xml_target):
 #        config.pki_log.info(log.PKIHELPER_REMOVE_FILTER_SECTION_1,
-#            self.master_dict['pki_target_subsystem_web_xml'],
+#            self.mdict['pki_target_subsystem_web_xml'],
 #            extra=config.PKI_INDENTATION_LEVEL_2)
 #        begin_filters_section = False
 #        begin_servlet_section = False
@@ -830,7 +830,7 @@ class Instance:
     """PKI Deployment Instance Class"""
 
     def __init__(self, deployer):
-        self.master_dict = deployer.master_dict
+        self.mdict = deployer.mdict
 
     def apache_instance_subsystems(self):
         rv = 0
@@ -838,11 +838,11 @@ class Instance:
             # count number of PKI subsystems present
             # within the specified Apache instance
             for subsystem in config.PKI_APACHE_SUBSYSTEMS:
-                path = self.master_dict['pki_instance_path'] + "/" + subsystem.lower()
+                path = self.mdict['pki_instance_path'] + "/" + subsystem.lower()
                 if os.path.exists(path) and os.path.isdir(path):
                     rv = rv + 1
             config.pki_log.debug(log.PKIHELPER_APACHE_INSTANCE_SUBSYSTEMS_2,
-                                 self.master_dict['pki_instance_path'],
+                                 self.mdict['pki_instance_path'],
                                  rv, extra=config.PKI_INDENTATION_LEVEL_2)
         except OSError as exc:
             config.pki_log.error(log.PKI_OSERROR_1, exc,
@@ -859,16 +859,16 @@ class Instance:
             # simply count the number of PKI 'apache' instances (directories)
             # present within the PKI 'apache' registry directory
             for instance in\
-                os.listdir(self.master_dict['pki_instance_type_registry_path']):
+                os.listdir(self.mdict['pki_instance_type_registry_path']):
                 if os.path.isdir(
-                       os.path.join(self.master_dict['pki_instance_type_registry_path'],
+                       os.path.join(self.mdict['pki_instance_type_registry_path'],
                        instance)) and not\
                    os.path.islink(
-                       os.path.join(self.master_dict['pki_instance_type_registry_path'],
+                       os.path.join(self.mdict['pki_instance_type_registry_path'],
                        instance)):
                     rv = rv + 1
             config.pki_log.debug(log.PKIHELPER_APACHE_INSTANCES_2,
-                                 self.master_dict['pki_instance_type_registry_path'],
+                                 self.mdict['pki_instance_type_registry_path'],
                                  rv,
                                  extra=config.PKI_INDENTATION_LEVEL_2)
         except OSError as exc:
@@ -883,11 +883,11 @@ class Instance:
             # Since ALL directories within the top-level PKI infrastructure
             # SHOULD represent PKI instances, look for all possible
             # PKI instances within the top-level PKI infrastructure
-            for instance in os.listdir(self.master_dict['pki_path']):
-                if os.path.isdir(os.path.join(self.master_dict['pki_path'], instance))\
+            for instance in os.listdir(self.mdict['pki_path']):
+                if os.path.isdir(os.path.join(self.mdict['pki_path'], instance))\
                    and not\
-                   os.path.islink(os.path.join(self.master_dict['pki_path'], instance)):
-                    instance_dir = os.path.join(self.master_dict['pki_path'], instance)
+                   os.path.islink(os.path.join(self.mdict['pki_path'], instance)):
+                    instance_dir = os.path.join(self.mdict['pki_path'], instance)
                     # Since ANY directory within this PKI instance COULD
                     # be a PKI subsystem, look for all possible
                     # PKI subsystems within this PKI instance
@@ -897,7 +897,7 @@ class Instance:
                             if name.upper() in config.PKI_SUBSYSTEMS:
                                 rv = rv + 1
             config.pki_log.debug(log.PKIHELPER_PKI_INSTANCE_SUBSYSTEMS_2,
-                                 self.master_dict['pki_instance_path'], rv,
+                                 self.mdict['pki_instance_path'], rv,
                                  extra=config.PKI_INDENTATION_LEVEL_2)
         except OSError as exc:
             config.pki_log.error(log.PKI_OSERROR_1, exc,
